Validate Customer Credentials
Validate a customer credentials - This endpoint has special rate limiting protections to protect against abuse.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
email
Customer email address.
password
Customer password.
channel_id
ChannelId to check the customer credentials against - If this field is empty we will use channel 1.
Response
Returns if the customer credentials provided are valid or not.
customer_id
Returns the customer ID.
is_valid
indicates if the provided credentials are valid.
Errors
422
Unprocessable Entity Error
429
Too Many Requests Error